# $Revision: 1.7 $, $Date: 2002/09/17 22:54:54 $
%include        /usr/lib/rpm/macros.perl
Summary:	Simple Web Indexing System for Humans
Summary(pl):	Prosty system indeksowania stron WWW
Name:		swish++
Version:	5.9.5
Release:	2
License:	GPL
Group:		Applications/Text
Source0:	http://homepage.mac.com/pauljlucas/software/%{name}-%{version}.tar.gz
Patch0:		%{name}-debian.patch
Patch1:		%{name}-splitmailbox.patch
URL:		http://homepage.mac.com/pauljlucas/software/swish/
BuildRequires:	libstdc++-devel
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl-modules >= 5.6
Obsoletes:	aspseek
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SWISH++ is a Unix-based file indexing and searching engine (typically
used to index and search files on web sites).

%description -l pl
SWISH++ jest bazujcym na Uniksie systemem indeksowania oraz silnikiem
wyszukiwarki (typowo uywanym do indeksowania oraz przeszukiwania
plikw na stronach www).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} CC="%{__cxx}" CXX="%{__cxx}" OPTIM="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	I_OWNER="" \
	I_GROUP=""

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc www_example/* Changes Email* README
%attr(755,root,root) %{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: swish++.spec,v $
Revision 1.7  2002/09/17 22:54:54  ankry
- renamed splitmail to splitmailbox (to avoid conflicts with metamail)
- Obsoletes: aspseek
- cleaning
- release 2

Revision 1.6  2002/09/12 07:41:53  depesz
- new version (5.9.5)

Revision 1.5  2002/07/23 19:11:32  marcus
- use new %%doc

Revision 1.4  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.3  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/20 10:36:01  qboosh
- typo

Revision 1.1  2002/02/19 18:48:26  misiek
- initial pld release
